package mqs

import (
	"context"
	"github.com/zeromicro/go-queue/kq"
	"github.com/zeromicro/go-zero/core/service"
	"microGame/app/mq/cmd/kafka/internal/config"
	"microGame/app/mq/cmd/kafka/internal/svc"
)

func Consumers(c config.Config, ctx context.Context, svcContext *svc.ServiceContext) []service.Service {

	return []service.Service{
		//Listening for changes in consumption flow status
		kq.MustNewQueue(c.KqConsumerConf, NewPokerBet(ctx, svcContext)),
		//.....
	}

}
